Loading...
Searching...
No Matches
ranges::actions::remove_fn Struct Reference

## Public Member Functions

template<typename Rng , typename V , typename P = identity> requires forward_range<Rng> && permutable<iterator_t<Rng>> && erasable_range<Rng, iterator_t<Rng>, sentinel_t<Rng>> && indirect_relation<equal_to, projected<iterator_t<Rng>, P>, V const *>
Rng | operator() (Rng &&rng, V const &value, P proj={}) const
template<typename V >
constexpr auto | operator() (V &&value) const
template<typename V , typename P > requires (!range<V>)
constexpr auto | operator() (V &&value, P proj) const

## Related Symbols

(Note that these are not member symbols.)
constexpr remove_fn | remove {}